<?php
function proficient_css() {
    wp_enqueue_style( 'specia-parent-style', get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style', get_stylesheet_uri(), array( 'specia-parent-style' ) );
	
	wp_enqueue_style('proficient-default',get_stylesheet_directory_uri() .'/css/colors/default.css');
	wp_dequeue_style('specia-default', get_template_directory_uri() . '/css/colors/default.css');
	
	wp_dequeue_style('specia-media-query', get_template_directory_uri() . '/css/media-query.css');
	wp_enqueue_style('proficient-media-query', get_template_directory_uri() . '/css/media-query.css');
	
	wp_dequeue_style('woo', get_template_directory_uri() . '/css/woo.css');
	wp_enqueue_style('proficient-woo', get_stylesheet_directory_uri() . '/css/woo.css');
}
add_action( 'wp_enqueue_scripts', 'proficient_css',999);
   	
function proficient_setup()	{	
	load_child_theme_textdomain( 'proficient', get_stylesheet_directory() . '/languages' );
	add_editor_style( array( 'css/editor-style.css', proficient_google_font() ) );
}
add_action( 'after_setup_theme', 'proficient_setup' );

require_once( get_stylesheet_directory() . '/inc/customize/proficient-premium.php');
	
/**
 * Register Google fonts for Proficient.
 */
function proficient_google_font() {
	
    $get_fonts_url = '';
		
    $font_families = array();
 
	$font_families = array('Open Sans:300,400,600,700,800', 'Raleway:400,700');
 
        $query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
 
        $get_fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );

    return esc_url($get_fonts_url);
	
}

function proficient_scripts_styles() {
    wp_enqueue_style( 'proficient-fonts', proficient_google_font(), array(), null );
}
add_action( 'wp_enqueue_scripts', 'proficient_scripts_styles' );

function proficient_remove_parent_setting( $wp_customize ) {
	$wp_customize->remove_panel('features_panel');
	$wp_customize->remove_control('slider-page3');
	
	$wp_customize->remove_panel('call_panel');
}
add_action( 'customize_register', 'proficient_remove_parent_setting',99 );


function proficient_remove_widgets(){

	unregister_sidebar( 'specia_feature_widget' );
}
add_action( 'widgets_init', 'proficient_remove_widgets', 11 );

/**
 * Called Demo Import Features
 */
function proficient_import_files() {
    return array(
        array(
            'import_file_name'             => 'Proficient Default',
            'categories'                   => array( 'Proficient Demos' ),
            'local_import_file'            => trailingslashit( get_stylesheet_directory() ) . 'inc/demo-import/file/proficient-default.xml',
			
            'local_import_widget_file'     => trailingslashit( get_stylesheet_directory() ) . 'inc/demo-import/file/proficient-default.json',
			
            'local_import_customizer_file' => trailingslashit( get_stylesheet_directory() ) . 'inc/demo-import/file/proficient-default.dat',
			
           'import_preview_image_url'     => 'http://demo.speciatheme.com/upload/free/proficient/proficient-default.jpg',
            'import_notice'                => __( 'Demo Importing process will take some time. Kindly be patience.', 'proficient' ),
        ),
		
		array(
            'import_file_name'             => 'Proficient Medicare',
            'categories'                   => array( 'Proficient Demos' ),
            'local_import_file'            => trailingslashit( get_stylesheet_directory() ) . 'inc/demo-import/file/proficient-medicare.xml',
			
            'local_import_widget_file'     => trailingslashit( get_stylesheet_directory() ) . 'inc/demo-import/file/proficient-medicare.json',
			
            'local_import_customizer_file' => trailingslashit( get_stylesheet_directory() ) . 'inc/demo-import/file/proficient-medicare.dat',
			
           'import_preview_image_url'     => 'http://demo.speciatheme.com/upload/free/proficient/proficient-medicare.jpg',
            'import_notice'                => __( 'Demo Importing process will take some time. Kindly be patience.', 'proficient' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'proficient_import_files', 999 );


function proficient_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'primary_menu' => $main_menu->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'proficient_after_import_setup' );


function proficient_plugin_page_setup( $default_settings ) {
    $default_settings['parent_slug'] = 'themes.php';
    $default_settings['page_title']  = esc_html__( 'One Click Demo Import' , 'proficient' );
    $default_settings['menu_title']  = esc_html__( 'Premade Demos' , 'proficient' );
    $default_settings['capability']  = 'import';
    $default_settings['menu_slug']   = 'pt-one-click-demo-import';

    return $default_settings;
}

add_filter( 'pt-ocdi/plugin_page_setup', 'proficient_plugin_page_setup' );

add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );